unit generator;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ActnMan, ActnColorMaps;

type
  TGenForm = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    NamEdit: TEdit;
    SUEdit: TEdit;
    PwrEdit: TEdit;
    AvSel: TComboBox;
    ClassSel: TComboBox;
    Label6: TLabel;
    EffMem: TMemo;
    Label7: TLabel;
    InfoMem: TMemo;
    FileMem: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure NamEditKeyPress(Sender: TObject; var Key: Char);
    procedure SUEditKeyPress(Sender: TObject; var Key: Char);
    procedure PwrEditKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GenForm: TGenForm;

implementation

{$R *.dfm}

procedure TGenForm.Button1Click(Sender: TObject);
var i: Byte;
begin
  If FileExists('helpdata.txt')
  then FileMem.Lines.LoadFromFile('helpdata.txt')
  Else FileMem.Lines.Clear;
  FileMem.Lines.Add('#>-<#');
  FileMem.Lines.Add(NamEdit.Text+' '+SuEdit.Text+' '+PwrEdit.Text+' '+
                    IntToStr(ClassSel.ItemIndex)+' '+IntToStr(AvSel.ItemIndex));
  For i:= 0 to EffMem.Lines.COunt - 1 do
    FileMem.Lines.Add(EffMem.Lines[i]);
  FileMem.Lines.Add('#-#');
  For i:= 0 to InfoMem.Lines.COunt - 1 do
    FileMem.Lines.Add(InfoMem.Lines[i]);
  FileMem.Lines.SaveToFile('helpdata.txt');
end;

procedure TGenForm.NamEditKeyPress(Sender: TObject; var Key: Char);
begin
  If Key = ' ' then Key:= '%';
end;

procedure TGenForm.SUEditKeyPress(Sender: TObject; var Key: Char);
begin
  If Key = ' ' then Key:= '%';
end;

procedure TGenForm.PwrEditKeyPress(Sender: TObject; var Key: Char);
begin
  If Key = ' ' then Key:= '%';
end;

procedure TGenForm.FormCreate(Sender: TObject);
begin
  If FileExists('helpdata.txt')
  then FileMem.Lines.LoadFromFile('helpdata.txt')
  Else FileMem.Lines.Clear;
end;

procedure TGenForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  FileMem.Lines.SaveToFile('helpdata.txt');
end;

end.
