unit info;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons;

type
  TInfoForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    TypeLbl: TLabel;
    SuLbl: TLabel;
    PwrLbl: TLabel;
    ClassLbl: TLabel;
    AvaLbl: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    InfoMem: TRichEdit;
    EffectList: TListBox;
    SpeedButton1: TSpeedButton;
    HelpMem: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Procedure ShowFileInfo(Source, Hold: String);
    Procedure ShowInfo(Typ: String; SU, Energy: Real; Clas: String; Av: Byte; Eff, Info: TStrings);
  end;

var
  InfoForm: TInfoForm;

implementation
Uses Main, generator, Loadform;

{$R *.dfm}

Procedure TInfoForm.ShowFileInfo(Source, Hold: String);
var i:     Integer;
    ok:    Boolean;
    h,h2:  String;
Begin
  If not FileExists(Source) then Exit;
  HelpMem.Lines.LoadFromFile(Source);
  ok:= False;
  i:= 1;
  Repeat
    If HelpMem.Lines[i-1] = '#>-<#' then
    Begin
      h:= HelpMem.Lines[i];
      Delete(h, AnsiPos(' ', h), Length(H));
      ok:= h = Hold;
    End;
    application.ProcessMessages;
    Inc(i);
  Until (ok) or (i > HelpMem.Lines.Count - 1);
  If not ok then Exit;
  While AnsiPos('%',h) <> 0 do
    h[AnsiPos('%',h)]:= ' ';
  TypeLbl.Caption:= h;
  Dec(i);
  h2:= HelpMem.Lines[i];
  Delete(h2, 1, AnsiPos(' ', h2));
  h:= h2;
  Delete(h, AnsiPos(' ', h), Length(h));
  While AnsiPos('%',h) <> 0 do
    h[AnsiPos('%',h)]:= ' ';
  SuLbl.Caption:= h;
  Delete(h2, 1, AnsiPos(' ', h2));
  h:= h2;
  Delete(h, AnsiPos(' ', h), Length(h));
  While AnsiPos('%',h) <> 0 do
    h[AnsiPos('%',h)]:= ' ';
  PwrLbl.Caption:= h;
  Delete(h2, 1, AnsiPos(' ', h2));
  h:= h2;
  Delete(h, AnsiPos(' ', h), Length(h));
  Case h[1] of
    '0': Begin
           Classlbl.Caption:= 'Normal';
           ClassLbl.Font.Color:= clBlue;
         End;
    '1': Begin
           Classlbl.Caption:= 'Recommended';
           ClassLbl.Font.Color:= clBlue;
         End;
    '2': Begin
           Classlbl.Caption:= 'Important';
           ClassLbl.Font.Color:= clMaroon;
         End;
    '3': Begin
           Classlbl.Caption:= 'Critical';
           ClassLbl.Font.Color:= clRed;
         End;
  End;
  Delete(h2, 1, AnsiPos(' ', h2));
  h:= h2;
  Case h[1] of
    '0': AvaLbl.Caption:= 'All';
    '1': AvaLbl.Caption:= 'Borg Only';
    '2': AvaLbl.Caption:= 'Klingon Only';
    '3': AvaLbl.Caption:= 'Romulan Only';
  End;
  Inc(i);
  EffectList.Items.Clear;
  While not (HelpMem.Lines[i] = '#-#') and (i <= HelpMem.Lines.Count - 1) do
  Begin
    EffectList.Items.Add(HelpMem.Lines[i]);
    Inc(i);
    application.ProcessMessages;
  End;
  Inc(i);
  InfoMem.Lines.Clear;
  While not (HelpMem.Lines[i] = '#>-<#') and (i <= HelpMem.Lines.Count - 1)  do
  Begin
    InfoMem.Lines.Add(HelpMem.Lines[i]);
    Inc(i);
    application.processmessages;
  End;
End;

Procedure TInfoForm.ShowInfo(Typ: String; SU, Energy: Real; Clas: String; Av: Byte; Eff, Info: TStrings);
Begin
End;

procedure TInfoForm.FormActivate(Sender: TObject);
begin
  InfoForm.Left:= MainForm.Left;
  InfoForm.Top:= MaiNForm.Top + MainForm.Height;
end;

procedure TInfoForm.SpeedButton1Click(Sender: TObject);
begin
  GenForm.ShowModal;
end;

end.
