program stsc;

uses
  Forms,
  Main in 'Main.pas' {MainForm},
  analysis in 'analysis.pas' {AnaForm},
  loadform in 'loadform.pas' {Loader},
  info in 'info.pas' {InfoForm},
  generator in 'generator.pas' {GenForm},
  options in 'options.pas' {OpForm},
  PwrList in 'PwrList.pas' {PwrListForm},
  print in 'print.pas' {PrintForm},
  UPMFunctions in '..\UPM\UPMFunctions.pas',
  Logger in '..\UPM\Logger.pas' {LogForm},
  UPMParser in '..\UPM\UPMParser.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'Star Trek Ship Constructor';
  Application.CreateForm(TLoader, Loader);
  Application.CreateForm(TLogForm, LogForm);
  Application.CreateForm(TOpForm, OpForm);
  Application.CreateForm(TPwrListForm, PwrListForm);
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TAnaForm, AnaForm);
  Application.CreateForm(TInfoForm, InfoForm);
  Application.CreateForm(TGenForm, GenForm);
  Application.CreateForm(TPrintForm, PrintForm);
  Application.Run;
end.
